/*! ########## 6.1 Select2 ########## */

.select2-results__option {
  border-radius: 2px;
  margin-bottom: 1px;
  font-size: $font-size-sm;
}

.select2-container--default {

  .select2-selection--single {
    background-color: #fff;
    border-color: $input-border-color;
    border-radius: 5px;
    height: 41px;
    outline: none;

    .select2-selection__rendered {
      color: #2F3292;
      line-height: $input-height - .1rem;
      padding-left: $input-btn-padding-x;
      line-height: 40px;
      font-size: 14px;
    }

    .select2-selection__placeholder {
      color: $input-placeholder-color;
    }

    .select2-selection__arrow {
      width: 30px;
      height: 40px;
      line-height: $input-height;
    }
  }

  .select2-selection--multiple {
    background-color: $input-bg;
    border-color: $input-border-color;
    border-radius: $border-radius;
    min-height: $input-height;
    outline: none;

    .select2-selection__rendered {
      padding: 0 4px;
    }

    .select2-selection__choice {
      position: relative;
      margin-top: 5px;
      margin-right: 4px;
      padding: 3px 10px 3px 20px;
      border-color: transparent;
      border-radius: 2px;
      background-color: $brand-primary;
      color: #fff;
      line-height: 1.45;
    }

    .select2-selection__choice__remove {
      color: #fff;
      opacity: .5;
      font-size: 12px;
      display: inline-block;
      position: absolute;
      top: 4px;
      left: 7px;
    }
  }

  &.select2-container--focus .select2-selection--multiple {
    border-color: $input-border-color;
  }

  .select2-search--dropdown .select2-search__field {
    border-color: $input-border-color;
    border-radius: $border-radius;
  }

  .select2-results__option[aria-selected="true"] {
    background-color: lighten($body-bg, 5%);
  }

  .select2-results__option--highlighted[aria-selected] {
    background-color: $brand-primary;
  }

  .select2-results > .select2-results__options {
    margin: 4px;
  }

  .select2-search--inline .select2-search__field {
    margin-top: 5px;
    line-height: 26px;
    padding-left: 7px;
  }

  &.select2-container--disabled {
    .select2-selection--single {
      background-color: $input-disabled-bg;
    }

    .select2-selection__choice {
      padding-left: 10px;
      background-color: $gray-light;

      .select2-selection__choice__remove { display: none; }
    }

  }
}

.select2-container--open {

  .select2-selection--single,
  .select2-selection--multiple {
    background-color: #fff;
    border-color: $input-border-color;
  }

  .select2-dropdown--above {
    @include border-top-radius($border-radius);
  }

  .select2-dropdown--below {
    @include border-bottom-radius($border-radius);
    top: 0; //$input-height - 1.15;
  }
}

.select2-dropdown {
  border-color: $input-border-color;
  z-index: 200;
}

.select2-search--dropdown {
  padding-bottom: 0;
}


// Alert State
.has-success .select2-container--default .select2-selection--single { border-color: $brand-success; }
.has-warning .select2-container--default .select2-selection--single { border-color: $brand-warning; }
.has-danger .select2-container--default .select2-selection--single { border-color: $brand-danger; }


// Size
.select2-xs + .select2-container { font-size: 12px; }
.select2-dropdown-xs .select2-results__option {  font-size: 12px; }

.select2-sm + .select2-container { font-size: 14px; }
.select2-dropdown-sm .select2-results__option {  font-size: 14px; }

// Border
.select2-bd-0 + .select2-container--default .select2-selection--single { border-width: 0; }
.bg-gray + .select2-container--default .select2-selection--single {
  background-color: lighten($gray-dark, 5%);
  .select2-selection__rendered { color: $gray-lighter; }
}
